Xerces2 Implementation: Class NSItemListImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.util
Class NSItemListImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.util.NSItemListImpl

All Implemented Interfaces:
  org.apache.xerces.xs.XSNamespaceItemList

public class NSItemListImpl
extends java.lang.Object
implements org.apache.xerces.xs.XSNamespaceItemList

Containts a list of Object's.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: NSItemListImpl.java 446723 2006-09-15 20:37:45Z mrglavas $
Author:
  Sandy Gao, IBM

Constructor Summary
`NSItemListImpl(java.util.Vector v)`
`NSItemListImpl(org.apache.xerces.xs.XSNamespaceItem[] array, int length)` Construct an XSNamespaceItemList implementation

Method Summary
`int` | `getLength()` The number of `Objects` in the list.
`org.apache.xerces.xs.XSNamespaceItem` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSItemListImpl

    public NSItemListImpl(java.util.Vector v)

### NSItemListImpl

    public NSItemListImpl(org.apache.xerces.xs.XSNamespaceItem[] array,
                          int length)

  Construct an XSNamespaceItemList implementation
  Parameters:
    `array` - the data array
    `length` - the number of elements

Method Detail

### getLength

    public int getLength()

  The number of `Objects` in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    `getLength` in interface `org.apache.xerces.xs.XSNamespaceItemList`

### item

    public org.apache.xerces.xs.XSNamespaceItem item(int index)

  Description copied from interface: `org.apache.xerces.xs.XSNamespaceItemList`
  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Specified by:
    `item` in interface `org.apache.xerces.xs.XSNamespaceItemList`
  Following copied from interface: `org.apache.xerces.xs.XSNamespaceItemList`
  Parameters:
    `index` - index into the collection.
  Returns:
    The `XSNamespaceItem` at the `index`th position in the `XSNamespaceItemList`, or `null` if the index specified is not valid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.